<template>
    <Cn-page :loading="loading">
        <view slot="body">
            <view class="about">
                <image src="/static/success.png" class="logo"></image>
                <view class="name">{{ text }}</view>
                <view class="btn-wrap">
                    <navigator open-type="navigateBack" hover-class="none" class="btn"> 返回 </navigator>
                    <!-- <view class="btn ml20" @click="look"> 查看 </view> -->
                </view>
            </view>
        </view>
    </Cn-page>
</template>
<script>
export default {
    data() {
        return {
            loading: false,
            type: '',
        }
    },
    computed: {
        text() {
            let str = ''
            switch (this.type) {
                case 'transferDevice':
                    str = '移交成功'
                    break
                case 'shareDevice':
                    str = '设备分享接受成功'
                    break
                default:
                    str = '操作成功'
                    break
            }
            return str
        },
    },
    onLoad(options) {
        this.type = options.type
        this.id = options.id
    },
    methods: {
        look() {
            switch (this.type) {
                case 'transferDevice':
                    uni.navigateTo({
                        url: '/pages/device/APF/detail?id=' + this.id,
                    })
                    break
                default:
                    break
            }
        },
    },
}
</script>
<style lang="scss">
.about {
    box-sizing: border-box;
    padding: 34rpx;
    padding-top: 200rpx;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    .logo {
        height: 120rpx;
        width: 120rpx;
    }

    .name {
        margin-top: 80rpx;
        font-size: 40rpx;
        font-weight: 700;
        color: #333;
    }

    .version {
        margin-top: 20rpx;
        font-size: 38rpx;
        color: #333;
    }
    .btn-wrap {
        margin-top: 150rpx;
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
}
</style>
